# Template Class cql_iterator_proxy

- Defined in File cql.hpp

## Inheritance Relationships

### Base Type

- `public cif::iterator_proxy_base< false, Ts... >` (Template Class iterator_proxy_base)

## Class Documentation

template<typename ...Ts>
class cql_iterator_proxy : public cif::iterator_proxy_base<false, Ts...>

  Helper class to allow access to the data as a stream.

  Public Functions

  inline cql_iterator_proxy(result &&res)

    Constructor.